Page 2 of 4

I voted "YES," but I think

Posted: Tue Jun 20, 2017 3:17 am
by EnderDragonFire

I voted "YES," but I think this is something the team will have to think about seriously. Don't just blindly follow the poll and assume it represents all of the end users, there are many people who don't frequent this forum. A lot of people really fear NVSE for some reason, especially NVSE addons like Jip-LN. frown



Actually, wanna change my

Posted: Tue Jun 20, 2017 4:16 am
by H1ms3lf

Actually, wanna change my vote!!



I *NEED* TTW to mod using tools from the stoneage because my religion (one that I created for myself, like right now =]) makes using mods from newest techs a no-no.



Join me and lets have the mods made PURE! YAYY Purity First!! =)

(Gotta love this trailer ^^)



DasFedoraGuy wrote:

Posted: Tue Jun 20, 2017 4:42 am
by Risewild

[quote=DasFedoraGuy]


 


Deathclaw_Mayor16


Actually I do, I just prefer to keep the number of plugins and mods I need to use at a bare minimum, and all I care about is playing Fallout 3 in New Vegas. I don't care about any new extra features, game bug fixes, and whatnot.


[/quote]


Let me explain this situation.


TTW already requires NVSE (even the old 2.94b version available for everyone) for many years now, and if 3.0 will not have the JIP LN plugin it will have a TTW Plugin instead.


JIP LN not only will contain all the things from the TTW Plugin but also contain way more things (already included on JIP LN). This is a very good thing because it opens a lot of new possibilities for how to make TTW work properly and can even improve performance depending on the situation.


Also this way the creators of JIP LN will not have to work on two different plugins (their original one and the TTW one), which will save time and make everything more organized for them.


EDIT: I also forgot to mention, the plans are for the Installer to automatically install the JIP LN just like it already installs the NVSE. So the user will not have to do it manually.


 


This plugin is not a mod, it will not take space on the load order, it is a NVSE plugin and will be in the NVSE plugins folder. And I repeat this again: TTW already requires NVSE and it will still have a TTW NVSE plugin even if people vote no for JIP LN.


It is basically a decision of using a pocket knife or a swiss army knife while working on TTW.



DasFedoraGuy wrote:

Posted: Tue Jun 20, 2017 7:13 am
by Risewild

[quote=DasFedoraGuy]


 


Risewild wrote:



 


DasFedoraGuy wrote:



 


Deathclaw_Mayor16


Actually I do, I just prefer to keep the number of plugins and mods I need to use at a bare minimum, and all I care about is playing Fallout 3 in New Vegas. I don't care about any new extra features, game bug fixes, and whatnot.


 



Let me explain this situation.


TTW already requires NVSE (even the old 2.94b version available for everyone) for many years now, and if 3.0 will not have the JIP LN plugin it will have a TTW Plugin instead.


JIP LN not only will contain all the things from the TTW Plugin but also contain way more things (already included on JIP LN). This is a very good thing because it opens a lot of new possibilities for how to make TTW work properly and can even improve performance depending on the situation.


Also this way the creators of JIP LN will not have to work on two different plugins (their original one and the TTW one), which will save time and make everything more organized for them.


EDIT: I also forgot to mention, the plans are for the Installer to automatically install the JIP LN just like it already installs the NVSE. So the user will not have to do it manually.


 


This plugin is not a mod, it will not take space on the load order, it is a NVSE plugin and will be in the NVSE plugins folder. And I repeat this again: TTW already requires NVSE and it will still have a TTW NVSE plugin even if people vote no for JIP LN.


It is basically a decision of using a pocket knife or a swiss army knife while working on TTW.


 



And let me explain this to you.


I don't care what you're personal stance is on JIP. And I really don't care if you use it or not for your mods already.


However I would like to keep the amount of plugins and mods that I need to use for my game as low as possible. Also you and everyone else here is implying that I don't want to use JIP at all period. Or that I hate it and think it's the spawn of the devil, that I don't understand how plugins work, all sorts of nasty assumptions.  These are all false, as I stated earlier that I would prefer (prefer being the operative word here) to not use it unless necessary. Either way I'd still be using TTW.


[/quote]


Let me explain this again. cheeky  My post was a general information post. Not just for you.


I quoted your post because I addressed your worries about keeping the number of plugins down in my post too.


With or without JIP LN the number will be the exact same anyway because TTW will need it's own plugin if it doesn't use the JIP LN one. After I said that I included more info for other people who might not even know what NVSE plugins are and might get worried that it will clog their Load Order.


You seem very defensive when no one accused you of not knowing anything. If you have seen most of my posts about new features and things in this forum I always make a general informative post, I rarely make a post concerning just one person. While you know things many other users don't, so instead of me making several posts I make one as to not spam the forum.


When you (generalizing you, not you specifically) have been dealing with users in this forum for as many years as I have, you learn that you have to explain stuff for those who know things that seem obvious and those who know nothing about it.


smiley



DasFedoraGuy, from my part

Posted: Tue Jun 20, 2017 9:56 am
by H1ms3lf

DasFedoraGuy, from my part know that I fully respect your opinion, no matter how different.


It is just that sometimes one's got to find ways to amuse oneself in this twisted road to 3.0.

That and Roy looks like he wanna run a democracy. I'm disappointed... Should have learned better from Dave



No issues from me, as I

Posted: Tue Jun 20, 2017 3:26 pm
by burstdragon323

No issues from me, as I already use it for CASM's latest update with MCM support.



Not wanting to be harsh, but

Posted: Tue Jun 20, 2017 9:54 pm
by JimmyFraska

Not wanting to be harsh, but it's one of those things where if using these plugins is too radical for you, TTW might not be for you in the first place. Not speaking for the developers, of course, just my opinion.



JimmyFraska wrote:Not wanting

Posted: Tue Jun 20, 2017 10:09 pm
by H1ms3lf

[quote=JimmyFraska]Not wanting to be harsh, but it's one of those things where if using these plugins is too radical for you, TTW might not be for you in the first place. Not speaking for the developers, of course, just my opinion.[/quote]



If you join/accompany for some time through Discord, you see how much of FO3 was torn/broken by Obsidian when doing NV, from a presentation standpoint NV may seem just as good or better than FO3, but "under the carpet" and into the technical aspects of it... lets just say TTW dedicated modders have suffered wonders to bring FO3 close to full functionality into NV, JIP LN furthers help with that.




(Then Bethesda went and took a step back in so many directions with FO4, but that's another matter and off-topic, just IRKS ME SO MUCH WHEN I REMEMBER... time to take one of the pills!)



I use it already for a few

Posted: Sun Jun 25, 2017 10:58 pm
by catcameback

I use it already for a few other mods, so it isn't a problem.



The most disturbing thing

Posted: Mon Jun 26, 2017 12:32 am
by GrantSP

The most disturbing thing about this poll is 25% of respondents don't know what the JIP-LN plugin is!